Packages - Bug #3405
Bug # 3395 (fixed): [ruby] Requires rubygems, which conflicts with your-freedom

[various]: RubyGems were not loaded
2022-12-21 10:40 PM - bill-auger

Status: fixed % Done: 100%
Priority: bug

Assignee: lukeshu

Category:

Description

$ lolcat <<<'hello'
"RubyGems' were not loaded.

this affects every ruby program; so presumably, it can be patched in the 'ruby' package

Related issues:
Related to Packages - Bug #3440: metasploit fails to start fixed

History

#1 - 2022-12-21 10:41 PM - bill-auger

- Tracker changed from Bug to Freedom Issue

#2 - 2022-12-21 10:42 PM - bill-auger

- Tracker changed from Freedom Issue to Bug

#3 - 2022-12-22 07:58 PM - CommodoreCrunch

This is fixable by simply adding --disable-rubygems to the configure command in build()

This doesn't solve #3406 though. Bundled gems such as ruby-rake appear to still be broken, as before. But at least the extra error is gone.

/usr/bin/rake:9:in ‘require': cannot load such file —-- rubygems (LoadError)
from /usr/bin/rake:9:in ‘<main>'

#4 - 2022-12-22 08:13 PM - bill-auger

which package configure command? 'ruby'? or each client?

#5 - 2022-12-22 08:16 PM - bill-auger

also, note that this ticket is about the "RubyGems were not
loaded" warning - the "rubygems (LoadError)" error is handled on
ticket #3406

#6 - 2023-02-02 11:23 PM - bill-auger
- Related to Bug #3440: metasploit fails to start added

#7 - 2024-02-26 01:40 AM - bill-auger

- Assignee changed from bill-auger to lukeshu

'rubygems' was patched and re-instated - this is probably fixed now - can people verify?

#8 - 2024-02-26 02:39 AM - lukeshu
- % Done changed from 0 to 100

- Status changed from confirmed to fixed

One of the affected packages was extra/ruby-ronn-ng.

The libretools 20240221.1-2 build verified that ronn now works with its declared depends. So marking this as fixed.

2024-05-09

1/1



https://labs.parabola.nu/issues/3406
https://labs.parabola.nu/issues/3406
http://www.tcpdf.org

